qiime2 itsxpress installation

Hi,

Is it possible to install qiime2 itsxpress using condo separately. if possible, then please please share the link.

I am working on HPC and Conda is available for all users to install their own applications in their home directory.

Module load apps/anaconda3/5.2.0/bin

Thanks
Yogesh

Hi @Yogesh_Gupta,

Qiime2 itsexpress is actually installed separately in conda as per the instructions here. There is also a stand-alone (non qiime2) version here too but I’m not sure if that’s what you are looking for.

Thanks a lot @Mehrbod_Estaki,

I tried to install it but it shows some error:

$ module load apps/anaconda3/5.2.0/bin

apps/anaconda3/5.2.0/bin
|
OK
$ conda install itsxpress
Solving environment: failed

PackagesNotFoundError: The following packages are not available from current channels:

  • itsxpress

Current channels:

To search for alternate channels that may provide the conda package you’re
looking for, navigate to

https://anaconda.org

and use the search bar at the top of the page.

$ pip install itsxpress
Collecting itsxpress
Downloading https://files.pythonhosted.org/packages/f5/aa/75127082722d77fe90215430d978d6cfb1511ca3a9ecdc5eca924c51b425/itsxpress-1.7.2-py3-none-any.whl (1.6MB)
100% |β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ| 1.6MB 3.7MB/s
Collecting biopython>=1.60 (from itsxpress)
Downloading https://files.pythonhosted.org/packages/ed/77/de3ba8f3d3015455f5df859c082729198ee6732deaeb4b87b9cfbfbaafe3/biopython-1.74-cp36-cp36m-manylinux1_x86_64.whl (2.2MB)
100% |β–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆβ–ˆ| 2.2MB 3.5MB/s
Requirement already satisfied: numpy in /opt/gridware/depots/54e7fb3c/el7/pkg/apps/anaconda3/5.2.0/bin/lib/python3.6/site-packages (from biopython>=1.60->itsxpress) (1.14.3)
distributed 1.21.8 requires msgpack, which is not installed.
Installing collected packages: biopython, itsxpress
Could not install packages due to an EnvironmentError: [Errno 13] Permission denied: β€˜/opt/gridware/depots/54e7fb3c/el7/pkg/apps/anaconda3/5.2.0/bin/lib/python3.6/site-packages/biopython-1.74.dist-info’
Consider using the --user option or check the permissions.

You are using pip version 10.0.1, however version 19.2.1 is available.
You should consider upgrading via the β€˜pip install --upgrade pip’ command.
[[email protected] [kelvin2] ~]$ itsxpress --help
bash: itsxpress: command not found…

Thanks
Yogesh

Hey @Yogesh_Gupta,

The instructions @Mehrbod_Estaki linked include a -c bioconda which is necessary for conda to be able to find itsxpress. Try re-running the command exactly as shown (and don’t forget to pip install the plugin half).

1 Like

Hi @ebolyen,

Thanks for your quick response and help; but I am working on HPC and still I am getting some error; Please advise I can fix it. Do I need to load or unload some other module.

$ module load apps/anaconda3/5.2.0/bin

apps/anaconda3/5.2.0/bin

|

OK

[[email protected] [kelvin2] ~]$ conda install -c bioconda itsxpress

Solving environment: done

==> WARNING: A newer version of conda exists. <==

current version: 4.5.4

latest version: 4.7.10

Please update conda by running

$ conda update -n base conda

Package Plan

environment location: /opt/gridware/depots/54e7fb3c/el7/pkg/apps/anaconda3/5.2.0/bin

added / updated specs:

- itsxpress

The following packages will be downloaded:

package                    |            build

---------------------------|-----------------

sqlite-3.29.0              |       h7b6447c_0         1.9 MB

bbmap-38.58                |       h516909a_0         9.7 MB  bioconda

openjdk-8.0.152            |       h46b5887_1       128.6 MB

readline-7.0               |       h7b6447c_5         392 KB

ca-certificates-2019.5.15  |                0         133 KB

zlib-1.2.11                |       h7b6447c_3         120 KB

freetype-2.9.1             |       h8a8886c_1         822 KB

bzip2-1.0.8                |       h7b6447c_0         105 KB

tk-8.6.8                   |       hbc83047_0         3.1 MB

numpy-1.14.3               |   py35hcd700cb_1          41 KB

hmmer-3.2.1                |       hfc679d8_0         7.4 MB  bioconda

vsearch-2.10.4             |       h96824bc_0         675 KB  bioconda

mkl_random-1.0.1           |   py35h629b387_0         364 KB

mkl_fft-1.0.1              |   py35h3010b51_0         139 KB

numpy-base-1.14.3          |   py35h9be14a7_1         4.1 MB

python-3.5.5               |       hc3d631a_4        28.3 MB

------------------------------------------------------------

                                       Total:       185.9 MB

The following NEW packages will be INSTALLED:

_libgcc_mutex:   0.1-main                        

bbmap:           38.58-h516909a_0        bioconda

biopython:       1.68-py35_0             bioconda

hmmer:           3.2.1-hfc679d8_0        bioconda

itsxpress:       1.7.2-py35_0            bioconda

mmtf-python:     1.0.2-py35_0            bioconda

openjdk:         8.0.152-h46b5887_1              

reportlab:       3.5.6-py35he686d34_0            

vsearch:         2.10.4-h96824bc_0       bioconda

The following packages will be UPDATED:

bzip2:           1.0.6-h14c3975_5                 --> 1.0.8-h7b6447c_0       

ca-certificates: 2018.03.07-0                     --> 2019.5.15-0            

certifi:         2018.4.16-py36_0                 --> 2018.8.24-py35_1       

freetype:        2.8-hab7d2ae_1                   --> 2.9.1-h8a8886c_1       

libedit:         3.1.20170329-h6b74fdf_2          --> 3.1.20181209-hc058e9b_0

libgcc-ng:       7.2.0-hdf63c60_3                 --> 9.1.0-hdf63c60_0       

libpng:          1.6.34-hb9fc6fc_0                --> 1.6.37-hbc83047_0      

mkl_fft:         1.0.1-py36h3010b51_0             --> 1.0.1-py35h3010b51_0   

mkl_random:      1.0.1-py36h629b387_0             --> 1.0.1-py35h629b387_0   

msgpack-python:  0.5.6-py36h6bb024c_0             --> 0.5.6-py35h6bb024c_1   

numpy:           1.14.3-py36hcd700cb_1            --> 1.14.3-py35hcd700cb_1  

numpy-base:      1.14.3-py36h9be14a7_1            --> 1.14.3-py35h9be14a7_1  

olefile:         0.45.1-py36_0                    --> 0.46-py35_0            

openssl:         1.0.2o-h20670df_0                --> 1.0.2s-h7b6447c_0      

pillow:          5.1.0-py36h3deb7b8_0             --> 5.2.0-py35heded4f4_0   

pip:             10.0.1-py36_0                    --> 10.0.1-py35_0          

readline:        7.0-ha6073c6_4                   --> 7.0-h7b6447c_5         

setuptools:      39.1.0-py36_0                    --> 40.2.0-py35_0          

sqlite:          3.23.1-he433501_0                --> 3.29.0-h7b6447c_0      

tk:              8.6.7-hc745277_3                 --> 8.6.8-hbc83047_0       

wheel:           0.31.1-py36_0                    --> 0.31.1-py35_0          

zlib:            1.2.11-ha838bed_2                --> 1.2.11-h7b6447c_3      

The following packages will be DOWNGRADED:

python:          3.6.5-hc3d631a_2                 --> 3.5.5-hc3d631a_4       

Proceed ([y]/n)? y

Downloading and Extracting Packages

sqlite-3.29.0 | 1.9 MB | ####################################### | 100%

bbmap-38.58 | 9.7 MB | ####################################### | 100%

openjdk-8.0.152 | 128.6 MB | ###################################### | 100%

readline-7.0 | 392 KB | ####################################### | 100%

ca-certificates-2019 | 133 KB | ####################################### | 100%

zlib-1.2.11 | 120 KB | ####################################### | 100%

freetype-2.9.1 | 822 KB | ####################################### | 100%

bzip2-1.0.8 | 105 KB | ####################################### | 100%

tk-8.6.8 | 3.1 MB | ####################################### | 100%

numpy-1.14.3 | 41 KB | ####################################### | 100%

hmmer-3.2.1 | 7.4 MB | ####################################### | 100%

vsearch-2.10.4 | 675 KB | ####################################### | 100%

mkl_random-1.0.1 | 364 KB | ####################################### | 100%

mkl_fft-1.0.1 | 139 KB | ####################################### | 100%

numpy-base-1.14.3 | 4.1 MB | ####################################### | 100%

python-3.5.5 | 28.3 MB | ####################################### | 100%

Preparing transaction: done

Verifying transaction: done

Executing transaction: failed

ERROR conda.core.link:_execute(502): An error occurred while uninstalling package β€˜defaults::numpy-base-1.14.3-py36h9be14a7_1’.

PermissionError(13, β€˜Permission denied’)

Attempting to roll back.

Rolling back transaction: done

PermissionError(13, β€˜Permission denied’)

Thanks

Yogesh

1 Like

Hey @Yogesh_Gupta,

Sorry for the delay, I was trying to reproduce this and failing miserably until I reread the error again this morning.

It looks like you are installing itsxpress into the base environment. You want to be installing it into the QIIME 2 environment instead. This environment should be owned by your user account and so you won’t get the permission errors, and QIIME 2 will be able to use it.

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.